namespace PlcSiemens.O
{
    public class ResponseHandle<TResponse> where TResponse : IBuildResponse, new()
    {
        private TResponse Response { get; set; }

        public void Build(byte[] responseBytes)
        {
            ByteBuffer buffer = ByteBuffer.Allocate();
            buffer.Push(responseBytes);
            Response = new TResponse();
            Response.Build(buffer);
        }
    }
}
